package rocks.zipcode.quiz5.collections;

import rocks.zipcode.quiz5.objectorientation.account.BankAccount;

import java.util.ArrayList;

/**
 * @author leon on 27/12/2018.
 */
public class Bank {

    ArrayList<BankAccount> bankAccounts = new ArrayList<>();

    public BankAccount removeBankAccountByIndex(Integer indexNumber) {
       BankAccount accountToRemove = bankAccounts.get(indexNumber);
       bankAccounts.remove(accountToRemove);
       return accountToRemove;
    }

    public void addBankAccount(BankAccount bankAccount) {
        bankAccounts.add(bankAccount);
    }

    public Boolean containsBankAccount(BankAccount bankAccount) {
        return bankAccounts.contains(bankAccount);
    }
}
