package rocks.zipcode.quiz5.collections;

import java.util.HashMap;
import java.util.Map;

public class WordCounter {

    private Map<String, Integer> wordMap = new HashMap<>();

    public WordCounter(String... strings) {
        for (String str : strings) {
            if(wordMap.containsKey(str)){
                wordMap.replace(str, wordMap.get(str)+1);
            } else {
                wordMap.put(str, 1);
            }
        }
    }

    public Map<String, Integer> getWordCountMap() {
       return wordMap;
    }
}
