package rocks.zipcode.quiz5.fundamentals;

/**
 * @author leon on 21/12/2018.
 */
public class StringUtils {
    public static Character getMiddleCharacter(String string) {
        return string.charAt(string.length() / 2);
    }

    public static String capitalizeMiddleCharacter(String str) {
        int midIndex = str.length() / 2;
        return str.substring(0, midIndex) + str.substring(midIndex, midIndex + 1).toUpperCase() + str.substring(midIndex + 1);
    }

    public static String lowerCaseMiddleCharacter(String str) {
        int midIndex = str.length() / 2;
        return str.substring(0, midIndex) + str.substring(midIndex, midIndex + 1).toLowerCase() + str.substring(midIndex + 1);
    }

    public static Boolean isIsogram(String str) {
        char[] stringChars = str.toCharArray();
        for (int i = 0; i < str.length(); i++) {
            for (int j = 0; j < str.length(); j++) {
                if (i != j) {
                    if (stringChars[i] == stringChars[j]) {
                        return false;
                    }
                }
            }
        }
        return true;
    }

    public static Boolean hasDuplicateConsecutiveCharacters(String str) {
        char[] stringChars = str.toCharArray();
        for (int i = 1; i < str.length(); i++) {
            if (stringChars[i] == stringChars[i - 1]) {
                return true;
            }
        }
        return false;
    }

    public static String removeConsecutiveDuplicateCharacters(String str) {
        String result = "";
        char[] stringChars = str.toCharArray();
        for (int i = 1; i < str.length(); i++) {
            if (stringChars[i] == stringChars[i - 1]) {
                stringChars[i] = ' ';
                stringChars[i - 1] = ' ';
            }
        }
        for (char letter : stringChars) {
            if (letter != ' ') {
                result += letter;
            }
        }
        return result;
    }

    public static String invertCasing(String str) {
        char[] stringChars = str.toCharArray();
        String result = "";
        for (int i = 0; i < str.length(); i++) {
            if (stringChars[i]>96 && stringChars[i]<123) {
                stringChars[i] = (char) (stringChars[i] - 32);
            }else if (stringChars[i]>64 && stringChars[i]<91){
                stringChars[i] = (char) (stringChars[i] + 32);
            }
        }
        for (char letter : stringChars) {
            result += letter;
        }
        return result;
    }

}