package rocks.zipcode.quiz5.fundamentals;

import java.util.ArrayList;

/**
 * @author leon on 21/12/2018.
 */
public class Calculator {
    public static Double squareRoot(Double value) {
        return Math.sqrt(value);
    }

    public static Double square(Double value) {
        return value*value;
    }

    public static Double[] squareRoots(Double... value) {
        ArrayList<Double> result = new ArrayList<>();
        for (Double dbl : value) {
            result.add(squareRoot(dbl));
        }
        return result.toArray(new Double[0]);
    }

    public static Double[] squares(Double... values) {
        ArrayList<Double> result = new ArrayList<>();
        for (Double dbl : values) {
            result.add(square(dbl));
        }
        return result.toArray(new Double[0]);
    }

    public static Double add(Double value1, Double value2) {
        return value1 + value2;
    }

    public static Double subtract(Double value1, Double value2) {
        return value1-value2;
    }


    public static Double divide(Double divisor, Double dividend) {
        return divisor/dividend;
    }
}
